Name:           python-calver
Version:        2025.4.17
Release:        %mkrel 1
Summary:        Setuptools extension for CalVer package versions
Group:          Development/Python
# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/di/calver
Source:         %{pypi_source calver}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
The calver package is a setuptools extension for automatically defining your
Python package version as a calendar version.}


%description %_description

%package -n     python3-calver
Summary:        %{summary}

%description -n python3-calver %_description


%prep
%autosetup -p1 -n calver-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files calver


%check
%pyproject_check_import


%files -n python3-calver -f %{pyproject_files}


%changelog
* Thu Jul 17 2025 papoteur <papoteur> 2025.4.17-1.mga10
+ Revision: 2256895
- new version 2025.4.17

* Wed Jul 02 2025 umeabot <umeabot> 2022.6.26-4.mga10
+ Revision: 2236128
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 neoclust <neoclust> 2022.6.26-3.mga10
+ Revision: 2150398
- Rebuild against python 3.13

* Thu Dec 07 2023 wally <wally> 2022.6.26-2.mga10
+ Revision: 2014969
- rebuild for py3.12
- fix RPM group

* Tue Jan 31 2023 papoteur <papoteur> 2022.6.26-1.mga9
+ Revision: 1937213
- add group
- imported package python-calver

